<?php

/*
=====================================================================

  프로젝트 이름 : 피리 카페 심플

  만든사람 : 피리 PIREE ( tosports@naver.com )

  홈페이지 : https://piree.kr/nett_dev

  작성날짜 : 2024년 05월 01일 수요일 오전 09시 09분

  저 작 권 : Copyright ⓒ 2024 피리 piree.kr All right reserved
              그누보드 외에 추가된 소스는~
              만든사람의 허락없이 무단으로 사용할수 없습니다.
              사용하고자 할 경우 만든사람의 허락을 받아야 합니다.
              http://.piree.kr 에 문의해 주세요.

=====================================================================
 피리 카페 심플 > 프로그램 > 피리 카페 관리 > 내 카페 > 스킨 > 최신글 스킨
=====================================================================

*/
  

  IF ( !defined('_GNUBOARD_') )                             EXIT;

  // add_stylesheet('css 구문', 출력순서); 숫자가 작을 수록 먼저 출력됨
  add_stylesheet('<link rel="stylesheet" href="'. get_cafe_skin_file('url', 'basic', 'style.css') .'">', 0);

  $list_count = (is_array($list) && $list) ? count($list) : 0;

?>

  <div class="lat">
    <h2 class="lat_title">
      <a href="<?php echo go_piree_cafe_board('', $func_piree_cafe_n, $func_board_cate_n); ?>" class="str_4466ff_bold_13"><?php echo $bca_cate_s ?></a>
    </h2>
    <ul>
    <?php for ($i=0; $i<$list_count; $i++) {  ?>
      <li class="basic_li">
        <?php
        IF ( $list[$i]['icon_secret'] ) echo "<i class=\"fa fa-lock\" aria-hidden=\"true\"></i><span class=\"sound_only\">비밀글</span> ";

        echo "<a href=\"". go_piree_cafe_board('', $func_piree_cafe_n, $func_board_cate_n, $list[$i]['wr_id']) ."\"> ";
        IF ( $list[$i]['is_notice'] )
        {
          echo "<strong>".$list[$i]['subject']."</strong>";
        }
        ELSE
        {
          echo $list[$i]['subject'];
        }

        echo "</a>";

        if ($list[$i]['icon_hot']) echo "<span class=\"hot_icon\"><i class=\"fa fa-heart\" aria-hidden=\"true\"></i><span class=\"sound_only\">인기글</span></span>";
        if ($list[$i]['icon_new']) echo "<span class=\"new_icon\">N<span class=\"sound_only\">새글</span></span>";
// ($list[$i]['link']['count']) { echo "[{$list[$i]['link']['count']}]"; }
// ($list[$i]['file']['count']) { echo "<{$list[$i]['file']['count']}>"; }

        echo $list[$i]['icon_reply']." ";
           if ($list[$i]['icon_file']) echo " <i class=\"fa fa-download\" aria-hidden=\"true\"></i>" ;
        if ($list[$i]['icon_link']) echo " <i class=\"fa fa-link\" aria-hidden=\"true\"></i>" ;

        if ($list[$i]['comment_cnt'])  echo "
        <span class=\"lt_cmt\"><span class=\"sound_only\">댓글</span>".$list[$i]['comment_cnt']."</span>";

        ?>
        <div class="lt_info">
          <div class="lt_left">
            <span class="lt_nick"><?php echo $list[$i]['wr_name'] ?></span>
            <span class="lt_date"><?php echo $list[$i]['datetime2'] ?></span>
          </div>
          <div class="lt_right"><?php

      SWITCH ($board_cate_list_a[$func_board_cate_n]['bca_depth_n'])
      {

        CASE 1 :
          $ex_a = explode('--', $list[$i]['wr_pi_board_cate_s']);
          IF ( $func_board_cate_n != $list[$i]['wr_pi_board_cate_n'] )
          {
?>
            <a href="" class="str_777_9"><?php echo $ex_a[1] .' >' ?></a>
<?php
          }
        BREAK;

        CASE 2 :
        BREAK;

        DEFAULT :
?>
            <a href="" class="str_777_9"><?php echo str_replace('--', ' > ', $list[$i]['wr_pi_board_cate_s']) ?></a>
<?php
        BREAK;

      }

          ?></div>
        </div>
      </li>
    <?php }  ?>
    <?php if ($list_count == 0) { // 때  ?>
    <li class="empty_li">게시물이 없습니다.</li>
    <?php }  ?>
    </ul>
    <a href="<?php echo get_pretty_url($bo_table); ?>" class="lt_more"><span class="sound_only"><?php echo $bo_subject ?></span>더보기</a>

  </div>
